Try locate result transaction
Finds the transaction that received a specific message. Given message parameters, returns the transaction on the destination account that processed the incoming message. Use this to trace message delivery across accounts.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/tryLocateResultTx" \ -H "Content-Type: application/json" \ -d '{ "source": "string", "destination": "string", "created_lt": "string" }'{ "ok": true, "result": { "@type": "ext.transaction", "address": { "@type": "accountAddress", "account_address": "string" }, "account": "string", "utime": 0, "data": "string", "transaction_id": { "@type": "internal.transactionId", "lt": "string", "hash": "string" }, "fee": "string", "storage_fee": "string", "other_fee": "string", "in_msg": { "@type": "ext.message", "hash": "string", "source": "string", "destination": "string", "value": "string", "extra_currencies": [ { "@type": "extraCurrency", "id": 0, "amount": "string" } ], "fwd_fee": "string", "ihr_fee": "string", "created_lt": "string", "body_hash": "string", "msg_data": { "@type": "msg.dataRaw", "body": "string", "init_state": "string" }, "message": "string", "message_decode_error": "string" }, "out_msgs": [ { "@type": "ext.message", "hash": "string", "source": "string", "destination": "string", "value": "string", "extra_currencies": [ { "@type": "extraCurrency", "id": 0, "amount": "string" } ], "fwd_fee": "string", "ihr_fee": "string", "created_lt": "string", "body_hash": "string", "msg_data": { "@type": "msg.dataRaw", "body": "string", "init_state": "string" }, "message": "string", "message_decode_error": "string" } ] }, "@extra": "string"}